Saltar al contenido principal
GET
/
content
/
api
/
v2
/
blogs
/
{blog_id}
/
versions
List previous versions of the blog
curl --request GET \
  --url https://api.hubapi.com/content/api/v2/blogs/{blog_id}/versions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "object": {
      "id": 123,
      "portal_id": 123,
      "name": "<string>",
      "label": "<string>",
      "public_title": "<string>",
      "html_title": "<string>",
      "description": "<string>",
      "slug": "<string>",
      "root_url": "<string>",
      "absolute_url": "<string>",
      "url_base": "<string>",
      "domain": "<string>",
      "resolved_domain": "<string>",
      "live_domain": "<string>",
      "domain_when_published": "<string>",
      "created": 123,
      "created_date_time": 123,
      "updated": 123,
      "updated_date_time": 123,
      "deleted_at": 123,
      "allow_comments": true,
      "comment_moderation": true,
      "comment_should_create_contact": true,
      "comment_verification_text": "<string>",
      "comment_date_format": "<string>",
      "comment_form_guid": "<string>",
      "comment_max_thread_depth": 123,
      "comment_notification_emails": [
        "<string>"
      ],
      "close_comments_older": 123,
      "captcha_always": true,
      "captcha_after_days": 123,
      "posts_per_listing_page": 123,
      "posts_per_rss_feed": 123,
      "show_summary_in_listing": true,
      "show_summary_in_emails": true,
      "show_summary_in_rss": true,
      "use_featured_image_in_summary": true,
      "show_social_link_twitter": true,
      "show_social_link_facebook": true,
      "show_social_link_linkedin": true,
      "social_account_twitter": "<string>",
      "enable_social_auto_publishing": true,
      "html_head": "<string>",
      "html_head_is_shared": true,
      "post_html_head": "<string>",
      "html_footer": "<string>",
      "html_footer_is_shared": true,
      "post_html_footer": "<string>",
      "html_keywords": [
        "<string>"
      ],
      "attached_stylesheets": [
        "<string>"
      ],
      "item_layout_id": 123,
      "item_template_path": "<string>",
      "item_template_is_shared": true,
      "listing_layout_id": 123,
      "listing_template_path": "<string>",
      "uses_default_template": true,
      "default_group_style_id": "<string>",
      "category_id": 123,
      "cos_object_type": "<string>",
      "analytics_page_id": 123,
      "subscription_form_guid": "<string>",
      "subscription_contacts_property": "<string>",
      "subscription_lists_by_type": {
        "instant": 123,
        "daily": 123,
        "weekly": 123,
        "monthly": 123
      },
      "email_api_subscription_id": 123,
      "instant_notification_email_id": "<string>",
      "daily_notification_email_id": "<string>",
      "weekly_notification_email_id": "<string>",
      "monthly_notification_email_id": "<string>",
      "default_notification_from_name": "<string>",
      "default_notification_reply_to": "<string>",
      "publish_date_format": "<string>",
      "month_filter_format": "<string>",
      "url_segments": {
        "all": "<string>",
        "archive": "<string>",
        "author": "<string>",
        "page": "<string>",
        "tag": "<string>"
      },
      "public_access_rules": [
        {}
      ],
      "public_access_rules_enabled": true,
      "enable_google_amp_output": true,
      "amp_header_color": "<string>",
      "amp_header_background_color": "<string>",
      "amp_header_font": "<string>",
      "amp_header_font_size": "<string>",
      "amp_body_color": "<string>",
      "amp_body_font": "<string>",
      "amp_body_font_size": "<string>",
      "amp_link_color": "<string>",
      "amp_logo_src": "<string>",
      "amp_logo_alt": "<string>",
      "amp_logo_width": 123,
      "amp_logo_height": 123,
      "amp_custom_css": "<string>"
    },
    "updated_at": 123,
    "user": {
      "id": 123,
      "email": "<string>",
      "username": "<string>",
      "full_name": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

blog_id
string
requerido

The ID of the blog to get

Respuesta

successful operation

id
integer<int64>

The version ID

object
object
updated_at
integer<int64>

When this version was created

user
object

User who created this version

Last modified on April 13, 2026